Package org.apache.struts2.config.entities

# Class InterceptorConfig

java.lang.Object
org.apache.struts2.util.location.Located
org.apache.struts2.config.entities.InterceptorConfig

All Implemented Interfaces:
  `Serializable`, `Locatable`

public class InterceptorConfig extends Located implements Serializable
Configuration for Interceptors.

In the xml configuration file this is defined as the `interceptors` tag.

Author:
  Mike
See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `InterceptorConfig.Builder`
  The builder for this object.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `className`
  `protected String`
  `name`
  `protected Map<String,String>`
  `params`

  ### Fields inherited from class org.apache.struts2.util.location.Located

  `location`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `InterceptorConfig(String name, String className)`
  `protected`
  `InterceptorConfig(InterceptorConfig orig)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getClassName()`
  `String`
  `getName()`
  `Map<String,String>`
  `getParams()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.struts2.util.location.Located

  `getLocation, setLocation`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### params

    protected Map<String,String> params

  - ### className

    protected String className

  - ### name

    protected String name

- ## Constructor Details

  - ### InterceptorConfig

    protected InterceptorConfig(String name, String className)

  - ### InterceptorConfig

    protected InterceptorConfig(InterceptorConfig orig)

- ## Method Details

  - ### getClassName

    public String getClassName()

  - ### getName

    public String getName()

  - ### getParams

    public Map<String,String> getParams()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`